Description

Dear all,

I have a feature request for the gantt charting facility. Since I am very used to the agile story concept, I am going to write my request

as a user story:

Story

As a user of the redmine software

I would like the gantt charting facility to consider the (remaining) effort estimated as a duration of an issue (if no due date is given)

so that I can use the gantt charting facility to estimate the expected end date of my project.

Business reason

We are thinking very agile. So we do not commit to deadlines, but instead continuously estimate the end date of our projects.

Redmine's gantt chart works very fine if you connect issues and set due dates. But if you only set "Estimated time" instead of due

dates, then the gantt charts treat every issue as a one day task. So setting due dates would be necessary, to maximize the value of

the gantt chart. Unfortunately, if you have a very agile project, with lots of new task coming in frequently, you would have to maintain

these due dates continuously. This is cumbersome work, and does not create any value.

Therefore we would highly appreciate, if the gantt chart would consider the (remaining) estimated time instead, allowing us not to

maintain due dates manually as a must.

Acceptance criteria

1. It is possible to set a "maximum workload per day" in hours, which gives an indication of how much estimated time of issues can

be done on one working day

1. the feasible domain of "maximum workload per day" is (0,Inf) hours (consider teams, which can get more than 8h a day

done)

2. "maximum workload per day" can be maintained in the administration of the project

3. "maximum workload per day" can be different per project

2. If no due date for an issue is set, then

1. the remaining estimated (work) time can be calculated as estimated time minus effort spent (or zero if already negative)

2. the (implicit) due date for this issue can be estimated as today plus the remaining estimated (work) time divided by

maximum workload per day

3. the gantt charting facility considers the (implicit) due date for generating the gantt charts for these issues instead.

I would highly appreciate if you would consider this feature request for the future of redmine. Furthermore I appreciate any feedback

on my feature request.

Thanks for building a great software.

Best regards,

Sascha Herrmann

Related issues:

Has duplicate Redmine - Defect #14815: time estimate should affect due date f... Closed

History

#1 - 2015-07-30 15:23 - Mikkel Bonde
Very much +1

Actually a minimum viable product of this could easily be that the gannt chart could just calculate the start_date depending on the issue it's preceding

and then the end_date to be calculated by that date + the time_estimated.

That would at least solve it for us.

#2 - 2015-08-12 11:52 - Yohann Bricard

+1

Management of the dependencies is a very important topic for our project management team.

Automated display of the dependencies in schedule (Gant view) would allow qui efficient management workload gain - no more need to update all

dates, only the end date of the driving task.

#3 - 2015-08-15 03:18 - Toshi MARUYAMA

- Related to Defect #14815: time estimate should affect due date for gantt charts added

#4 - 2015-08-15 03:28 - Toshi MARUYAMA

- Related to deleted (Defect #14815: time estimate should affect due date for gantt charts)

#5 - 2015-08-15 03:29 - Toshi MARUYAMA

- Has duplicate Defect #14815: time estimate should affect due date for gantt charts added

#6 - 2016-08-16 14:06 - Gustavo Regal

+1

#7 - 2019-07-19 08:49 - Björn Schorre

Is this feature already available? We are still using redmine version 2.x. We are discussing of an update...

#8 - 2021-01-03 16:26 - Illya Sukhanov

Who knows whether this feature is already available? We're on 3.3.6.stable and looking to optimize some of the processes, so this feature would be a

very handy tool.

#9 - 2022-11-03 12:52 - Sven Seeberg

We're also missing such a feature. It is very tedious work to touch the start and end dates of all follow up issues if one is being delayed or a new issue

has been added. On the other hand a Gantt is really helpful to get an overview.

However, to make this feature functional, this needs 2 more settings in my opinion:

- The "maximum workload per day" needs to be time dependent. That means it must be possible to change the rate for different time periods, for

example when new developers join a project. With one static number, the past would be changed and that is not good. I think a form with 3 fields can

implement this: 1) start date 2) end date 3) max workload in hours. If the rate is constant for the full project, it should be okay to leave the dates empty

(or set one rate for one very long period).

- Not strictly necessary, but very helpful for a better graph: some sort of parallelism factor. If all issues are displayed consecutively in the Gantt chart,

this will probably be very far off from reality. In reality, multiple issues will be worked on at the same time. As soon as one is completed, the next issue

should be started. This would not really change the end date of a project, but provides ab better abstract understanding for persons that are not

directly involved in the development process (managers).

One optional and extremely helpful functionality would be a fully automatic generation of the Gantt chart based on Priority and estimated effort alone,

even without providing dependencies.

If anyone is interested in developing this: my company is willing to fund the development. Please contact us at technik (at) verdigado (dot) com.
